Subject: bug#14399: octave-mode bug

From: Rüdiger Sonderfeld <[email-masked]>
Date: Fri, 22 Nov 2013 15:57:59 +0100

On Friday 22 November 2013 09:27:57 Stefan Monnier wrote:
> > I am unfamiliar with smie. I have been meaning to understand it but
> > haven't found time to. Could you help fix this indentation bug?
> 
> I can't remember much of the syntax of Octave.  What does ";..." mean?

... introduces a continuation line.  Similar to \ in other languages.

a = [ foo;...
bar ]

is the same as a = [ foo; bar ].

See (info "(octave) Continuation Lines")

Regards,
Rüdiger